Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.event
Interface AxisChangeListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  CategoryPlot, CombinedDomainCategoryPlot, CombinedDomainXYPlot, CombinedRangeCategoryPlot, CombinedRangeXYPlot, CompassPlot, ContourPlot, FastScatterPlot, MeterPlot, MultiplePiePlot, PiePlot, PiePlot3D, Plot, PolarPlot, RingPlot, SpiderWebPlot, ThermometerPlot, WaferMapPlot, XYPlot

    public interface AxisChangeListener

extends java.util.EventListener

The interface that must be supported by classes that wish to receive notification of changes to an axis.

The Plot class implements this interface, and automatically registers with its axes (if any). Any axis changes are passed on by the plot as a plot change event. This is part of the notification mechanism that ensures that charts are redrawn whenever changes are made to any chart component.

Method Summary
`void` | `axisChanged(AxisChangeEvent event)` Receives notification of an axis change event.

Method Detail

### axisChanged

    void axisChanged(AxisChangeEvent event)

  Receives notification of an axis change event.

  Parameters:
    `event` - the event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD